List

View as Markdown
Returns a list all of customer subscriptions for a merchant, or a list of subscriptions for an individual customer. Listing subscriptions for more than one customer requires Application API Scope with the Bulk Operations permission.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Query parameters

livelist of booleansOptional

Subscription status: active (True) or inactive (False)

productstringOptional
Unique product identifier
shipping_addressstringOptional
Address ID
customerstringOptional

Customer ID (only available in API user scope)

createddateOptional

Subscription’s created date exact match (yyyy-mm-dd)

created_startdateOptional

Subscription’s created date later or equal than parameter (yyyy-mm-dd)

created_endstringOptional

Subscription’s created date sooner or equal than parameter (yyyy-mm-dd)

updateddateOptional

Subscription’s updated date exact match (yyyy-mm-dd). On subscription creation is populated with same value as created field.

updated_startdateOptional

Subscription’s updated datetime later or equal than parameter (yyyy-mm-ddThh:mm:ss)

updated_enddateOptional

Subscription’s updated date time is sooner or equal than parameter (yyyy-mm-ddThh:mm:ss)

Response

200
countintegerOptionalDefaults to 0
nextstringOptional
previousstringOptional
resultslist of objectsOptional

Errors

403
Forbidden Error